Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface TabPanelListener

All Superinterfaces:
  BoxComponentListener, ComponentListener, ContainerListener, PanelListener

All Known Implementing Classes:
  TabPanelListenerAdapter

    public interface TabPanelListener

extends PanelListener

Method Summary
`boolean` | `doBeforeTabChange(TabPanel source, Panel newPanel, Panel oldPanel)` Fires before the active tab changes.
`void` | `onContextMenu(TabPanel source, Panel tab, EventObject e)` Fires when the contextmenu event originated from a tab element.
`void` | `onTabChange(TabPanel source, Panel tab)` Fires after the active tab has changed.

Methods inherited from interface com.gwtext.client.widgets.event.PanelListener
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### doBeforeTabChange

    boolean doBeforeTabChange(TabPanel source,
                              Panel newPanel,
                              Panel oldPanel)

  Fires before the active tab changes. Return false to cancel the tab change.

  Parameters:
    `source` - this
    `newPanel` - the new panel
    `oldPanel` - the old panel
  Returns:
    false to cancel the tab change

### onContextMenu

    void onContextMenu(TabPanel source,
                       Panel tab,
                       EventObject e)

  Fires when the contextmenu event originated from a tab element.

  Parameters:
    `source` - this
    `tab` - the tab
    `e` - the event object

### onTabChange

    void onTabChange(TabPanel source,
                     Panel tab)

  Fires after the active tab has changed.

  Parameters:
    `source` - this
    `tab` - the selected tab

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD